Tabula API

Inspect the API key

GET
/v1/auth/keys/inspect

Returns the API key that authenticated the request and the company it belongs to. Use it to verify that a key works.

Authorization

apiKey
headerAuthorizationBearer <token>

A company API key created in Tabula.

Response Body

OK

application/json
  1. response
apiKey*
company*
curl -X GET "https://example.com/v1/auth/keys/inspect"
{  "apiKey": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "name": "string",    "createdAt": "2019-08-24T14:15:22Z",    "expiresAt": "2019-08-24T14:15:22Z"  },  "company": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "name": "string"  }}